Update OrderCopy Pagepost https://developer-api.bringg.com/services/m4ldfk58/{service_uuid1}/{service_uuid2}Update the details of an order (also known in Bringg as a task).Body Paramsexternal_idstringrequiredThe order's ID in your external systems. Required if id is not included.idint32requiredThe unique Bringg ID of the order (task) to update. You must include either order ID, or external id.create_groupbooleanIndicates whether to automatically group this order with other orders that have the same customer or grouping key.truefalsecreate_linked_tasksbooleanWhen both the pickup and dropoff location for an order are destinations on a route (neither are located at the route origin), true creates two linked orders for individual optimization.truefalsecustomerobjectAn object containing detailed information about a new customer to create and associate with this order. NOTE: Use either the customer object attribute (create a new customer) or the customer_id attribute (an existing customer). For more information about customer object attributes, see Customer object.customer objectdelivery_costdoubleThe cost per delivery charged by a third-party carrier.delivery_pricedoubleThe delivery cost that the customer pays at checkout.discountdoubleThe discount applied to this order at checkout.external_fleet_idstringYour external system's ID for the carrier assigned to this order. Omit or leave this parameter null to manually or automatically assign the order in Bringg.external_user_idstringYour external system's ID for the driver associated with this order.extrasjsonThis field can be used to send custom attributes to Bringg.left_to_be_paiddoubleThe unpaid balance of this total order.left_to_be_paid_for_deliveryint32The unpaid balance for delivery of this order.notesarray of objectsAn array of notes to be added the order. Read more about the Order Notes Object.notesADD objectpayment_methodint32The payment method for this order. Possible values: 0: unknown, 1: cash, 2: credit, 3: check, 4: credit card terminal.payment_type_namestringThe name of the payment type, used to specify which payment equipment is required for this order.post_delivery_tip_cashdoubleThe tip (gratuity) paid to the driver in cash after delivery.post_delivery_tip_creditdoubleThe tip (gratuity) paid to the driver by credit after delivery.pre_delivery_tipdoubleThe tip (gratuity) paid to the driver before delivery.preparation_external_idstringIndicates an additional external ID associated with an order, for example from the inventory preparation phase.preparation_statusint32The order's stage in the preparation workflow. Possible values: 0 - acknowledged, 1 - preparation started, 2 - preparation ended, 3 - ready for pickup, 4 - picked up, 5 - send to preparation failedprice_before_taxdoubleThe net price of this order (not including taxes).priorityint32Priority of the order within assigned route. For example, Priority 1 is the first stop in the route. Should be used when orders are sent to Bringg already assigned to a Route.quote_idint32The ID of a quote received as a response from the Get Quotes request and selected for use in your external systems, such as customer checkout.rankint32Defines the priority of a customer or order when using Route Optimization or AutoDispatch. null is the lowest rank, 1 is the highest, 2 is the second highest, and so on. 0 is not accepted.ready_to_executebooleanIndicates whether this order is in planning phase or has been dispatched to drivers. The values are: false or 0 - Task appears in Planning tab and is not visible to drivers, true or 1 - Task appears in Dispatch tab and is visible to drivers.TRUEtruefalserequired_skillsarray of stringsDriver skills or vehicle capabilities required to carry out this order, such as "fridge installation".required_skillsADD stringreserved_untildateDate and time when the reservation of a delivery slot for an order expires. If the order is not confirmed by this time, the delivery slot reservation expires and the order is canceled. Omit if included in the Create Order request. Change to null to finalize.runobjectThe details of the route associated with this order. Include when creating route's outside of Bringg.run objectservice_feedoubleThe service fee charged by an external carrier. Usually calculated as a percentage of order's subtotal.service_plan_external_idstringYour external system's ID for the service plan applied to this order.small_cart_feedoubleA fee applied when the customer's order subtotal does not meet the "small cart" threshold.tag_idint32Bringg's ID for the relevant tag, which determines the branding and workflows to use for this order.task_configuration_idint32Bringg's ID for the Driver Action to be associated with the order. ID can be found in the Dashboard > Settings > Driver App > Actions Configuration.task_inventoriesobjectThe Order Inventories object provides detailed information about inventory items associated with an order.task_inventories objecttask_type_idint32Indicates the order type. Possible values: 2: Pickup 3: Return 4: Dropoff 5: Pickup and dropoff. When updating a leg of a linked order using the order's external_id, use this field to indicate which leg.tax_pricedoubleThe total tax amount charged for the order.team_idsarray of int32sAn array of integers containing the Ids of all teams assigned to this order.team_idsADD int32team_external_idstringYour external system's ID for the assigned team.tipdoubleThe tip (gratuity) paid to the driver by the customer for this order.tip_driver_enabledbooleanIndicates whether the driver can be tipped for this order.truefalsetitlestringThis order's title. The maximum length is 255 characters.total_handling_unitsstringUse to ensure that the vehicle does not exceed capacity even if a customer adds last-minute items to their order. When omitted, Bringg calculates the aggregated handling_units from the inventory object.total_pricedoubleThe total price of this order.total_weightint32Use to ensure order does not exceed vehicle capacity even if customers add last-minute items to their order. Bringg calculates according to the higher value, total_weight, or the aggregated weight of all inventory items in the order.user_idint32Bringg's ID for the driver associated with this order.vehicleobjectThe vehicle associated with the order.vehicle objectway_pointsarray of objectsAn array of one or two objects containing destination information. To update a specific waypoint, include the position parameter in the object to indicate which waypoint should be updated. Read more about the Way Point Object.way_pointsADD objectResponse 200200Updated 11 months ago